// Downloaded from https://repo.progsbase.com - Code Developed Using progsbase.

function KilometersToMiles(kilometers){
  return kilometers/1.609344;
}
function MilesToKilometers(miles){
  return miles*1.609344;
}
function NauticalMilesToKilometers(nm){
  return nm*1.852;
}
function KilometersTiNauticalMiles(km){
  return km/1.852;
}
function ConvertLength(from, to, sourceUnits, destinationUnits){
  var success;

  success = ConvertLengthToMeters(from, sourceUnits, destinationUnits);
  if(success){
    success = ConvertLengthFromMeters(to, destinationUnits.numberValue, destinationUnits);
  }

  return success;
}
function ConvertLengthFromMeters(from, m, destinationUnits){
  var y;
  var success;

  success = true;
  y = 0;
  if(StringsEqual(from, "meter".split(''))){
    y = m;
  }else if(StringsEqual(from, "thou".split(''))){
    y = ConvertMetersToThous(m);
  }else if(StringsEqual(from, "inch".split(''))){
    y = ConvertMetersToInches(m);
  }else if(StringsEqual(from, "foot".split(''))){
    y = ConvertMetersToFeet(m);
  }else if(StringsEqual(from, "yard".split(''))){
    y = ConvertMetersToYards(m);
  }else if(StringsEqual(from, "chain".split(''))){
    y = ConvertMetersToChains(m);
  }else if(StringsEqual(from, "furlong".split(''))){
    y = ConvertMetersToFurlongs(m);
  }else if(StringsEqual(from, "mile".split(''))){
    y = ConvertMetersToMiles(m);
  }else if(StringsEqual(from, "league".split(''))){
    y = ConvertMetersToLeagues(m);
  }else if(StringsEqual(from, "fathom".split(''))){
    y = ConvertMetersToFathoms(m);
  }else if(StringsEqual(from, "cable".split(''))){
    y = ConvertMetersToCables(m);
  }else if(StringsEqual(from, "nautical mile".split(''))){
    y = ConvertMetersToNauticalMiles(m);
  }else if(StringsEqual(from, "link".split(''))){
    y = ConvertMetersToLinks(m);
  }else if(StringsEqual(from, "rod".split(''))){
    y = ConvertMetersToRods(m);
  }else if(StringsEqual(from, "decameter".split(''))){
    y = ConvertMetersToDecaMeters(m);
  }else if(StringsEqual(from, "hectometer".split(''))){
    y = ConvertMetersToHectoMeters(m);
  }else if(StringsEqual(from, "kilometer".split(''))){
    y = ConvertMetersToKiloMeters(m);
  }else if(StringsEqual(from, "megameter".split(''))){
    y = ConvertMetersToMegaMeters(m);
  }else if(StringsEqual(from, "gigameter".split(''))){
    y = ConvertMetersToGigaMeters(m);
  }else if(StringsEqual(from, "terameter".split(''))){
    y = ConvertMetersToTeraMeters(m);
  }else if(StringsEqual(from, "petameter".split(''))){
    y = ConvertMetersToPetaMeters(m);
  }else if(StringsEqual(from, "exameter".split(''))){
    y = ConvertMetersToExaMeters(m);
  }else if(StringsEqual(from, "zettameter".split(''))){
    y = ConvertMetersToZettaMeters(m);
  }else if(StringsEqual(from, "yottameter".split(''))){
    y = ConvertMetersToYottaMeters(m);
  }else if(StringsEqual(from, "light-year".split(''))){
    y = ConvertMetersToLightYears(m);
  }else if(StringsEqual(from, "parsec".split(''))){
    y = ConvertMetersToParsecs(m);
  }else if(StringsEqual(from, "astronomical unit".split(''))){
    y = ConvertMetersToAstronomicalUnits(m);
  }else if(StringsEqual(from, "decimeter".split(''))){
    y = ConvertMetersToDeciMeters(m);
  }else if(StringsEqual(from, "centimeter".split(''))){
    y = ConvertMetersToCentiMeters(m);
  }else if(StringsEqual(from, "millimeter".split(''))){
    y = ConvertMetersToMilliMeters(m);
  }else if(StringsEqual(from, "micrometer".split(''))){
    y = ConvertMetersToMicroMeters(m);
  }else if(StringsEqual(from, "nanometer".split(''))){
    y = ConvertMetersToNanoMeters(m);
  }else if(StringsEqual(from, "picometer".split(''))){
    y = ConvertMetersToPicoMeters(m);
  }else if(StringsEqual(from, "femtometer".split(''))){
    y = ConvertMetersToFemtoMeters(m);
  }else if(StringsEqual(from, "attometer".split(''))){
    y = ConvertMetersToAttoMeters(m);
  }else if(StringsEqual(from, "zeptometer".split(''))){
    y = ConvertMetersToZeptoMeters(m);
  }else if(StringsEqual(from, "yoctometer".split(''))){
    y = ConvertMetersToYoctoMeters(m);
  }else if(StringsEqual(from, "planck length".split(''))){
    y = ConvertMetersToPlanckLengths(m);
  }else{
    success = false;
  }

  destinationUnits.numberValue = y;

  return success;
}
function ConvertMetersToPlanckLengths(m){
  return m/1.616255e-35;
}
function ConvertMetersToYoctoMeters(m){
  return m/Math.pow(10,  -24);
}
function ConvertMetersToZeptoMeters(m){
  return m/Math.pow(10,  -21);
}
function ConvertMetersToAttoMeters(m){
  return m/Math.pow(10,  -18);
}
function ConvertMetersToFemtoMeters(m){
  return m/Math.pow(10,  -15);
}
function ConvertMetersToPicoMeters(m){
  return m/Math.pow(10,  -12);
}
function ConvertMetersToNanoMeters(m){
  return m/Math.pow(10,  -9);
}
function ConvertMetersToMicroMeters(m){
  return m/Math.pow(10,  -6);
}
function ConvertMetersToMilliMeters(m){
  return m/Math.pow(10,  -3);
}
function ConvertMetersToCentiMeters(m){
  return m/Math.pow(10,  -2);
}
function ConvertMetersToDeciMeters(m){
  return m/Math.pow(10,  -1);
}
function ConvertMetersToAstronomicalUnits(m){
  return m/149597870700;
}
function ConvertMetersToParsecs(m){
  return m/3.0857e16;
}
function ConvertMetersToLightYears(m){
  return m/9.4607e15;
}
function ConvertMetersToYottaMeters(m){
  return m/Math.pow(10, 24);
}
function ConvertMetersToZettaMeters(m){
  return m/Math.pow(10, 21);
}
function ConvertMetersToExaMeters(m){
  return m/Math.pow(10, 18);
}
function ConvertMetersToPetaMeters(m){
  return m/Math.pow(10, 15);
}
function ConvertMetersToTeraMeters(m){
  return m/Math.pow(10, 12);
}
function ConvertMetersToGigaMeters(m){
  return m/Math.pow(10, 9);
}
function ConvertMetersToMegaMeters(m){
  return m/Math.pow(10, 6);
}
function ConvertMetersToKiloMeters(m){
  return m/Math.pow(10, 3);
}
function ConvertMetersToHectoMeters(m){
  return m/Math.pow(10, 2);
}
function ConvertMetersToDecaMeters(m){
  return m/Math.pow(10, 1);
}
function ConvertMetersToRods(m){
  return m/5.0292;
}
function ConvertMetersToLinks(m){
  return m/0.201168;
}
function ConvertMetersToNauticalMiles(m){
  return m/1852;
}
function ConvertMetersToCables(m){
  return m/185.2;
}
function ConvertMetersToFathoms(m){
  return m/1.852;
}
function ConvertMetersToLeagues(m){
  return m/4828.032;
}
function ConvertMetersToMiles(m){
  return m/1609.344;
}
function ConvertMetersToFurlongs(m){
  return m/201.168;
}
function ConvertMetersToChains(m){
  return m/20.1168;
}
function ConvertMetersToYards(m){
  return m/0.9144;
}
function ConvertMetersToFeet(m){
  return m/0.3048;
}
function ConvertMetersToInches(m){
  return m/0.0254;
}
function ConvertMetersToThous(m){
  return m/0.0000254;
}
function ConvertLengthToMeters(to, d, destinationUnits){
  var y;
  var success;

  success = true;
  y = 0;
  if(StringsEqual(to, "meter".split(''))){
    y = d;
  }else if(StringsEqual(to, "thou".split(''))){
    y = ConvertThousToMeters(d);
  }else if(StringsEqual(to, "inch".split(''))){
    y = ConvertInchesToMeters(d);
  }else if(StringsEqual(to, "foot".split(''))){
    y = ConvertFeetToMeters(d);
  }else if(StringsEqual(to, "yard".split(''))){
    y = ConvertYardsToMeters(d);
  }else if(StringsEqual(to, "chain".split(''))){
    y = ConvertChainsToMeters(d);
  }else if(StringsEqual(to, "furlong".split(''))){
    y = ConvertFurlongsToMeters(d);
  }else if(StringsEqual(to, "mile".split(''))){
    y = ConvertMilesToMeters(d);
  }else if(StringsEqual(to, "league".split(''))){
    y = ConvertLeaguesToMeters(d);
  }else if(StringsEqual(to, "fathom".split(''))){
    y = ConvertFathomsToMeters(d);
  }else if(StringsEqual(to, "cable".split(''))){
    y = ConvertCablesToMeters(d);
  }else if(StringsEqual(to, "nautical mile".split(''))){
    y = ConvertNauticalMilesToMeters(d);
  }else if(StringsEqual(to, "link".split(''))){
    y = ConvertLinksToMeters(d);
  }else if(StringsEqual(to, "rod".split(''))){
    y = ConvertRodsToMeters(d);
  }else if(StringsEqual(to, "deca-meter".split(''))){
    y = ConvertDecaMetersToMeters(d);
  }else if(StringsEqual(to, "hecto-meter".split(''))){
    y = ConvertHectoMetersToMeters(d);
  }else if(StringsEqual(to, "kilo-meter".split(''))){
    y = ConvertKiloMetersToMeters(d);
  }else if(StringsEqual(to, "mega-meter".split(''))){
    y = ConvertMegaMetersToMeters(d);
  }else if(StringsEqual(to, "giga-meter".split(''))){
    y = ConvertGigaMetersToMeters(d);
  }else if(StringsEqual(to, "tera-meter".split(''))){
    y = ConvertTeraMetersToMeters(d);
  }else if(StringsEqual(to, "peta-meter".split(''))){
    y = ConvertPetaMetersToMeters(d);
  }else if(StringsEqual(to, "exa-meter".split(''))){
    y = ConvertExaMetersToMeters(d);
  }else if(StringsEqual(to, "zetta-meter".split(''))){
    y = ConvertZettaMetersToMeters(d);
  }else if(StringsEqual(to, "yotta-meter".split(''))){
    y = ConvertYottaMetersToMeters(d);
  }else if(StringsEqual(to, "light-year".split(''))){
    y = ConvertLightYearsToMeters(d);
  }else if(StringsEqual(to, "parsec".split(''))){
    y = ConvertParsecsToMeters(d);
  }else if(StringsEqual(to, "astronomical unit".split(''))){
    y = ConvertAstronomicalUnitsToMeters(d);
  }else if(StringsEqual(to, "deci-meter".split(''))){
    y = ConvertDeciMetersToMeters(d);
  }else if(StringsEqual(to, "centi-meter".split(''))){
    y = ConvertCentiMetersToMeters(d);
  }else if(StringsEqual(to, "milli-meter".split(''))){
    y = ConvertMilliMetersToMeters(d);
  }else if(StringsEqual(to, "micro-meter".split(''))){
    y = ConvertMicroMetersToMeters(d);
  }else if(StringsEqual(to, "nano-meter".split(''))){
    y = ConvertNanoMetersToMeters(d);
  }else if(StringsEqual(to, "pico-meter".split(''))){
    y = ConvertPicoMetersToMeters(d);
  }else if(StringsEqual(to, "femto-meter".split(''))){
    y = ConvertFemtoMetersToMeters(d);
  }else if(StringsEqual(to, "atto-meter".split(''))){
    y = ConvertAttoMetersToMeters(d);
  }else if(StringsEqual(to, "zepto-meter".split(''))){
    y = ConvertZeptoMetersToMeters(d);
  }else if(StringsEqual(to, "yocto-meter".split(''))){
    y = ConvertYoctoMetersToMeters(d);
  }else if(StringsEqual(to, "planck lengths".split(''))){
    y = ConvertPlanckLengthsToMeters(d);
  }else{
    success = false;
  }

  destinationUnits.numberValue = y;

  return success;
}
function ConvertPlanckLengthsToMeters(d){
  return d*1.616255e-35;
}
function ConvertYoctoMetersToMeters(d){
  return d*Math.pow(10,  -24);
}
function ConvertZeptoMetersToMeters(d){
  return d*Math.pow(10,  -21);
}
function ConvertAttoMetersToMeters(d){
  return d*Math.pow(10,  -18);
}
function ConvertFemtoMetersToMeters(d){
  return d*Math.pow(10,  -15);
}
function ConvertPicoMetersToMeters(d){
  return d*Math.pow(10,  -12);
}
function ConvertNanoMetersToMeters(d){
  return d*Math.pow(10,  -9);
}
function ConvertMicroMetersToMeters(d){
  return d*Math.pow(10,  -6);
}
function ConvertMilliMetersToMeters(d){
  return d*Math.pow(10,  -3);
}
function ConvertCentiMetersToMeters(d){
  return d*Math.pow(10,  -2);
}
function ConvertDeciMetersToMeters(d){
  return d*Math.pow(10,  -1);
}
function ConvertAstronomicalUnitsToMeters(d){
  return d*149597870700;
}
function ConvertParsecsToMeters(d){
  return d*3.0857e16;
}
function ConvertLightYearsToMeters(d){
  return d*9.4607e15;
}
function ConvertYottaMetersToMeters(d){
  return d*Math.pow(10, 24);
}
function ConvertZettaMetersToMeters(d){
  return d*Math.pow(10, 21);
}
function ConvertExaMetersToMeters(d){
  return d*Math.pow(10, 18);
}
function ConvertPetaMetersToMeters(d){
  return d*Math.pow(10, 15);
}
function ConvertTeraMetersToMeters(d){
  return d*Math.pow(10, 12);
}
function ConvertGigaMetersToMeters(d){
  return d*Math.pow(10, 9);
}
function ConvertMegaMetersToMeters(d){
  return d*Math.pow(10, 6);
}
function ConvertKiloMetersToMeters(d){
  return d*Math.pow(10, 3);
}
function ConvertHectoMetersToMeters(d){
  return d*Math.pow(10, 2);
}
function ConvertDecaMetersToMeters(d){
  return d*Math.pow(10, 1);
}
function ConvertRodsToMeters(d){
  return d*5.0292;
}
function ConvertLinksToMeters(d){
  return d*0.201168;
}
function ConvertNauticalMilesToMeters(d){
  return d*1852;
}
function ConvertCablesToMeters(d){
  return d*185.2;
}
function ConvertFathomsToMeters(d){
  return d*1.852;
}
function ConvertLeaguesToMeters(d){
  return d*4828.032;
}
function ConvertMilesToMeters(d){
  return d*1609.344;
}
function ConvertFurlongsToMeters(d){
  return d*201.168;
}
function ConvertChainsToMeters(d){
  return d*20.1168;
}
function ConvertYardsToMeters(d){
  return d*0.9144;
}
function ConvertFeetToMeters(d){
  return d*0.3048;
}
function ConvertInchesToMeters(d){
  return d*0.0254;
}
function ConvertThousToMeters(d){
  return d*0.0000254;
}
function GramsToOunces(g){
  return g/28.349523125;
}
function ConvertOuncesToGrams(ounce){
  return ounce*28.349523125;
}
function ConvertMass(from, to, sourceUnits, destinationUnits){
  var success;

  success = ConvertMassToKg(from, sourceUnits, destinationUnits);
  if(success){
    success = ConvertMassFromKg(to, destinationUnits.numberValue, destinationUnits);
  }

  return success;
}
function ConvertMassToKg(from, m, destinationUnits){
  var y;
  var success;

  success = true;
  y = 0;
  if(StringsEqual(from, "kilogram".split(''))){
    y = m;
  }else if(StringsEqual(from, "g".split(''))){
    y = ConvertGramsToKilograms(m);
  }else if(StringsEqual(from, "atomic mass unit".split(''))){
    y = ConvertAtomicMassUnitsToKilograms(m);
  }else if(StringsEqual(from, "planck mass".split(''))){
    y = ConvertPlanckMassesToKilograms(m);
  }else if(StringsEqual(from, "solar mass".split(''))){
    y = ConvertSolarMassesToKilograms(m);
  }else if(StringsEqual(from, "grain".split(''))){
    y = ConvertGrainsToKilograms(m);
  }else if(StringsEqual(from, "drachm".split(''))){
    y = ConvertDrachmToKilograms(m);
  }else if(StringsEqual(from, "ounce".split(''))){
    y = ConvertOuncesToKilograms(m);
  }else if(StringsEqual(from, "troy ounce".split(''))){
    y = ConvertTroyOuncesToKilograms(m);
  }else if(StringsEqual(from, "pound".split(''))){
    y = ConvertPoundsToKilograms(m);
  }else if(StringsEqual(from, "stone".split(''))){
    y = ConvertStonesToKilograms(m);
  }else if(StringsEqual(from, "quarter".split(''))){
    y = ConvertQuartersToKilograms(m);
  }else if(StringsEqual(from, "hundredweight".split(''))){
    y = ConvertHundredWeightsToKilograms(m);
  }else if(StringsEqual(from, "ton".split(''))){
    y = ConvertTonsToKilograms(m);
  }else if(StringsEqual(from, "slug".split(''))){
    y = ConvertSlugsToKilograms(m);
  }else if(StringsEqual(from, "decigram".split(''))){
    y = ConvertDecigramsToKilograms(m);
  }else if(StringsEqual(from, "centigram".split(''))){
    y = ConvertCentigramsToKilograms(m);
  }else if(StringsEqual(from, "milligram".split(''))){
    y = ConvertMilligramsToKilograms(m);
  }else if(StringsEqual(from, "microgram".split(''))){
    y = ConvertMicrogramsToKilograms(m);
  }else if(StringsEqual(from, "nanogram".split(''))){
    y = ConvertNanogramsToKilograms(m);
  }else if(StringsEqual(from, "picogram".split(''))){
    y = ConvertPicogramsToKilograms(m);
  }else if(StringsEqual(from, "femtogram".split(''))){
    y = ConvertFemtogramsToKilograms(m);
  }else if(StringsEqual(from, "attogram".split(''))){
    y = ConvertAttogramsToKilograms(m);
  }else if(StringsEqual(from, "zeptogram".split(''))){
    y = ConvertZeptogramsToKilograms(m);
  }else if(StringsEqual(from, "yoctogram".split(''))){
    y = ConvertYoctogramsToKilograms(m);
  }else if(StringsEqual(from, "decagram".split(''))){
    y = ConvertDecagramsToKilograms(m);
  }else if(StringsEqual(from, "hectogram".split(''))){
    y = ConvertHectogramsToKilograms(m);
  }else if(StringsEqual(from, "megagram".split(''))){
    y = ConvertMegagramsToKilograms(m);
  }else if(StringsEqual(from, "tonne".split(''))){
    y = ConvertTonneToKilograms(m);
  }else if(StringsEqual(from, "gigagram".split(''))){
    y = ConvertGigagramsToKilograms(m);
  }else if(StringsEqual(from, "teragram".split(''))){
    y = ConvertTeragramsToKilograms(m);
  }else if(StringsEqual(from, "petagram".split(''))){
    y = ConvertPetagramsToKilograms(m);
  }else if(StringsEqual(from, "exagram".split(''))){
    y = ConvertExagramsToKilograms(m);
  }else if(StringsEqual(from, "zettagram".split(''))){
    y = ConvertZettagramsToKilograms(m);
  }else if(StringsEqual(from, "yottagram".split(''))){
    y = ConvertYottagramsToKilograms(m);
  }else{
    success = false;
  }

  destinationUnits.numberValue = y;

  return success;
}
function ConvertYottagramsToKilograms(m){
  return m*Math.pow(10, 21);
}
function ConvertZettagramsToKilograms(m){
  return m*Math.pow(10, 18);
}
function ConvertExagramsToKilograms(m){
  return m*Math.pow(10, 15);
}
function ConvertPetagramsToKilograms(m){
  return m*Math.pow(10, 12);
}
function ConvertTeragramsToKilograms(m){
  return m*Math.pow(10, 9);
}
function ConvertGigagramsToKilograms(m){
  return m*Math.pow(10, 6);
}
function ConvertTonneToKilograms(m){
  return m*Math.pow(10, 3);
}
function ConvertMegagramsToKilograms(m){
  return m*Math.pow(10, 3);
}
function ConvertHectogramsToKilograms(m){
  return m*Math.pow(10,  -2);
}
function ConvertDecagramsToKilograms(m){
  return m*Math.pow(10,  -1);
}
function ConvertYoctogramsToKilograms(m){
  return m*Math.pow(10,  -27);
}
function ConvertZeptogramsToKilograms(m){
  return m*Math.pow(10,  -24);
}
function ConvertAttogramsToKilograms(m){
  return m*Math.pow(10,  -21);
}
function ConvertFemtogramsToKilograms(m){
  return m*Math.pow(10,  -18);
}
function ConvertPicogramsToKilograms(m){
  return m*Math.pow(10,  -15);
}
function ConvertNanogramsToKilograms(m){
  return m*Math.pow(10,  -12);
}
function ConvertMicrogramsToKilograms(m){
  return m*Math.pow(10,  -9);
}
function ConvertMilligramsToKilograms(m){
  return m*Math.pow(10,  -6);
}
function ConvertCentigramsToKilograms(m){
  return m*Math.pow(10,  -5);
}
function ConvertDecigramsToKilograms(m){
  return m*Math.pow(10,  -4);
}
function ConvertSlugsToKilograms(m){
  return m*14.59390;
}
function ConvertTonsToKilograms(m){
  return m*1016.0469088;
}
function ConvertHundredWeightsToKilograms(m){
  return m*50.80234544;
}
function ConvertQuartersToKilograms(m){
  return m*12.70058636;
}
function ConvertStonesToKilograms(m){
  return m*6.35029318;
}
function ConvertPoundsToKilograms(m){
  return m*0.45359237;
}
function ConvertTroyOuncesToKilograms(m){
  return m*(31.1034768/1000);
}
function ConvertOuncesToKilograms(m){
  return m*(28.349523125/1000);
}
function ConvertDrachmToKilograms(m){
  return m*(1.7718451953125/1000);
}
function ConvertGrainsToKilograms(m){
  return m*(0.06479891/1000);
}
function ConvertSolarMassesToKilograms(m){
  return m*1.98847e30;
}
function ConvertPlanckMassesToKilograms(m){
  return m*2.176435e-8;
}
function ConvertAtomicMassUnitsToKilograms(m){
  return m*1.66053906660e-27;
}
function ConvertGramsToKilograms(m){
  return m*0.001;
}
function ConvertMassFromKg(from, m, destinationUnits){
  var y;
  var success;

  success = true;
  y = 0;
  if(StringsEqual(from, "kilogram".split(''))){
    y = m;
  }else if(StringsEqual(from, "g".split(''))){
    y = ConvertKilogramsToGrams(m);
  }else if(StringsEqual(from, "atomic mass unit".split(''))){
    y = ConvertKilogramsToAtomicMassUnits(m);
  }else if(StringsEqual(from, "planck mass".split(''))){
    y = ConvertKilogramsToPlanckMasses(m);
  }else if(StringsEqual(from, "solar mass".split(''))){
    y = ConvertKilogramsToSolarMasses(m);
  }else if(StringsEqual(from, "grain".split(''))){
    y = ConvertKilogramsToGrains(m);
  }else if(StringsEqual(from, "drachm".split(''))){
    y = ConvertKilogramsToDrachm(m);
  }else if(StringsEqual(from, "ounce".split(''))){
    y = ConvertKilogramsToOunces(m);
  }else if(StringsEqual(from, "troy ounce".split(''))){
    y = ConvertKilogramsToTroyOunces(m);
  }else if(StringsEqual(from, "pound".split(''))){
    y = ConvertKilogramsToPounds(m);
  }else if(StringsEqual(from, "stone".split(''))){
    y = ConvertKilogramsToStones(m);
  }else if(StringsEqual(from, "quarter".split(''))){
    y = ConvertKilogramsToQuarters(m);
  }else if(StringsEqual(from, "hundredweight".split(''))){
    y = ConvertKilogramsToHundredWeights(m);
  }else if(StringsEqual(from, "ton".split(''))){
    y = ConvertKilogramsToTons(m);
  }else if(StringsEqual(from, "slug".split(''))){
    y = ConvertKilogramsToSlugs(m);
  }else if(StringsEqual(from, "decigram".split(''))){
    y = ConvertKilogramsToDecigrams(m);
  }else if(StringsEqual(from, "centigram".split(''))){
    y = ConvertKilogramsToCentigrams(m);
  }else if(StringsEqual(from, "milligram".split(''))){
    y = ConvertKilogramsToMilligrams(m);
  }else if(StringsEqual(from, "microgram".split(''))){
    y = ConvertKilogramsToMicrograms(m);
  }else if(StringsEqual(from, "nanogram".split(''))){
    y = ConvertKilogramsToNanograms(m);
  }else if(StringsEqual(from, "picogram".split(''))){
    y = ConvertKilogramsToPicograms(m);
  }else if(StringsEqual(from, "femtogram".split(''))){
    y = ConvertKilogramsToFemtograms(m);
  }else if(StringsEqual(from, "attogram".split(''))){
    y = ConvertKilogramsToAttograms(m);
  }else if(StringsEqual(from, "zeptogram".split(''))){
    y = ConvertKilogramsToZeptograms(m);
  }else if(StringsEqual(from, "yoctogram".split(''))){
    y = ConvertKilogramsToYoctograms(m);
  }else if(StringsEqual(from, "decagram".split(''))){
    y = ConvertKilogramsToDecagrams(m);
  }else if(StringsEqual(from, "hectogram".split(''))){
    y = ConvertKilogramsToHectograms(m);
  }else if(StringsEqual(from, "megagram".split(''))){
    y = ConvertKilogramsToMegagrams(m);
  }else if(StringsEqual(from, "tonne".split(''))){
    y = ConvertKilogramsToTonne(m);
  }else if(StringsEqual(from, "gigagram".split(''))){
    y = ConvertKilogramsToGigagrams(m);
  }else if(StringsEqual(from, "teragram".split(''))){
    y = ConvertKilogramsToTeragrams(m);
  }else if(StringsEqual(from, "petagram".split(''))){
    y = ConvertKilogramsToPetagrams(m);
  }else if(StringsEqual(from, "exagram".split(''))){
    y = ConvertKilogramsToExagrams(m);
  }else if(StringsEqual(from, "zettagram".split(''))){
    y = ConvertKilogramsToZettagrams(m);
  }else if(StringsEqual(from, "yottagram".split(''))){
    y = ConvertKilogramsToYottagrams(m);
  }else{
    success = false;
  }

  destinationUnits.numberValue = y;

  return success;
}
function ConvertKilogramsToYottagrams(m){
  return m/Math.pow(10, 21);
}
function ConvertKilogramsToZettagrams(m){
  return m/Math.pow(10, 18);
}
function ConvertKilogramsToExagrams(m){
  return m/Math.pow(10, 15);
}
function ConvertKilogramsToPetagrams(m){
  return m/Math.pow(10, 12);
}
function ConvertKilogramsToTeragrams(m){
  return m/Math.pow(10, 9);
}
function ConvertKilogramsToGigagrams(m){
  return m/Math.pow(10, 6);
}
function ConvertKilogramsToTonne(m){
  return m/Math.pow(10, 3);
}
function ConvertKilogramsToMegagrams(m){
  return m/Math.pow(10, 3);
}
function ConvertKilogramsToHectograms(m){
  return m/Math.pow(10,  -1);
}
function ConvertKilogramsToDecagrams(m){
  return m/Math.pow(10,  -2);
}
function ConvertKilogramsToYoctograms(m){
  return m/Math.pow(10,  -27);
}
function ConvertKilogramsToZeptograms(m){
  return m/Math.pow(10,  -24);
}
function ConvertKilogramsToAttograms(m){
  return m/Math.pow(10,  -21);
}
function ConvertKilogramsToFemtograms(m){
  return m/Math.pow(10,  -18);
}
function ConvertKilogramsToPicograms(m){
  return m/Math.pow(10,  -15);
}
function ConvertKilogramsToNanograms(m){
  return m/Math.pow(10,  -12);
}
function ConvertKilogramsToMicrograms(m){
  return m/Math.pow(10,  -9);
}
function ConvertKilogramsToMilligrams(m){
  return m/Math.pow(10,  -6);
}
function ConvertKilogramsToCentigrams(m){
  return m/Math.pow(10,  -5);
}
function ConvertKilogramsToDecigrams(m){
  return m/Math.pow(10,  -4);
}
function ConvertKilogramsToSlugs(m){
  return m/14.59390;
}
function ConvertKilogramsToTons(m){
  return m/1016.0469088;
}
function ConvertKilogramsToHundredWeights(m){
  return m/50.80234544;
}
function ConvertKilogramsToQuarters(m){
  return m/12.70058636;
}
function ConvertKilogramsToStones(m){
  return m/6.35029318;
}
function ConvertKilogramsToPounds(m){
  return m/0.45359237;
}
function ConvertKilogramsToTroyOunces(m){
  return m/(31.1034768/1000);
}
function ConvertKilogramsToOunces(m){
  return m/(28.349523125/1000);
}
function ConvertKilogramsToDrachm(m){
  return m/(1.7718451953125/1000);
}
function ConvertKilogramsToGrains(m){
  return m/(0.06479891/1000);
}
function ConvertKilogramsToSolarMasses(m){
  return m/1.98847e30;
}
function ConvertKilogramsToPlanckMasses(m){
  return m/2.176435e-8;
}
function ConvertKilogramsToAtomicMassUnits(m){
  return m/1.66053906660e-27;
}
function ConvertKilogramsToGrams(m){
  return m/0.001;
}
function AddDecibells(db1, db2){
  return 10*Math.log10(Math.pow(10, db1/10) + Math.pow(10, db2/10));
}
function SubtractDecibells(db1, db2){
  return 10*Math.log10(Math.pow(10, db1/10) - Math.pow(10, db2/10));
}
function MultiplyDecibellsWithScalar(db, scalar){
  return 10*Math.log10(Math.pow(10, db/10)*scalar);
}
function DivideDecibellsWithScalar(db, scalar){
  return 10*Math.log10(Math.pow(10, db/10)/scalar);
}
function test(){
  var failures, db;
  var d;
  var success;

  d = {};

  failures = 0;

  db = AddDecibells(94, 96);
  db = AddDecibells(db, 98);

  if(Math.abs(db - 101.1) > 0.1){
    failures = failures + 1;
  }

  db = MultiplyDecibellsWithScalar(88, 4);

  if(Math.abs(db - 94.02) > 0.01){
    failures = failures + 1;
  }

  db = DivideDecibellsWithScalar(94.02, 4);

  if(Math.abs(db - 88) > 1){
    failures = failures + 1;
  }

  db = SubtractDecibells(90.12, 86);

  if(Math.abs(db - 88) > 1){
    failures = failures + 1;
  }

  success = ConvertLength("parsec".split(''), "light-year".split(''), 1.1, d);

  if( !success  || Math.abs(d.numberValue - 3.58772) > 0.0001){
    failures = failures + 1;
  }

  success = ConvertLength("thou".split(''), "planck length".split(''), 1.1, d);

  if( !success  || Math.abs(d.numberValue - 1.746e+30) > 0.1e+30){
    failures = failures + 1;
  }

  success = ConvertLength("astronomical unit".split(''), "foot".split(''), 1.1, d);

  if( !success  || Math.abs(d.numberValue - 5.399e+11) > 0.1e+11){
    failures = failures + 1;
  }

  success = ConvertLength("nautical mile".split(''), "cable".split(''), 1.1, d);

  if( !success  || Math.abs(d.numberValue - 11) > 0.0001){
    failures = failures + 1;
  }

  success = ConvertMass("yottagram".split(''), "atomic mass unit".split(''), 1.1, d);

  if( !success  || Math.abs(d.numberValue - 6.624e+47) > 0.001e+47){
    failures = failures + 1;
  }

  success = ConvertMass("yoctogram".split(''), "planck mass".split(''), 1.1, d);

  if( !success  || Math.abs(d.numberValue - 5.0541e-20) > 0.001e-20){
    failures = failures + 1;
  }

  success = ConvertMass("yoctogram".split(''), "planck mass".split(''), 1.1, d);

  if( !success  || Math.abs(d.numberValue - 5.0541e-20) > 0.001e-20){
    failures = failures + 1;
  }

  success = ConvertMass("solar mass".split(''), "centigram".split(''), 1.1, d);

  if( !success  || Math.abs(d.numberValue - 2.188e+35) > 0.01e+35){
    failures = failures + 1;
  }

  success = ConvertMass("slug".split(''), "decagram".split(''), 1.1, d);

  if( !success  || Math.abs(d.numberValue - 1605.33) > 0.01){
    failures = failures + 1;
  }

  success = ConvertMass("".split(''), "yoctogram".split(''), 1.1, d);

  if( !success  || Math.abs(d.numberValue - 5.0541e-20) > 0.001e-20){
    failures = failures + 1;
  }

  return failures;
}
function StringToNumberArray(string){
  var i;
  var array;

  array = [];
  array.length = string.length;

  for(i = 0; i < string.length; i = i + 1){
    array[i] = string[i].charCodeAt(0);
  }
  return array;
}
function NumberArrayToString(array){
  var i;
  var string;

  string = [];
  string.length = array.length;

  for(i = 0; i < array.length; i = i + 1){
    string[i] = String.fromCharCode(array[i]);
  }
  return string;
}
function NumberArraysEqual(a, b){
  var equal;
  var i;

  equal = true;
  if(a.length == b.length){
    for(i = 0; i < a.length && equal; i = i + 1){
      if(a[i] != b[i]){
        equal = false;
      }
    }
  }else{
    equal = false;
  }

  return equal;
}
function BooleanArraysEqual(a, b){
  var equal;
  var i;

  equal = true;
  if(a.length == b.length){
    for(i = 0; i < a.length && equal; i = i + 1){
      if(a[i] != b[i]){
        equal = false;
      }
    }
  }else{
    equal = false;
  }

  return equal;
}
function StringsEqual(a, b){
  var equal;
  var i;

  equal = true;
  if(a.length == b.length){
    for(i = 0; i < a.length && equal; i = i + 1){
      if(a[i] != b[i]){
        equal = false;
      }
    }
  }else{
    equal = false;
  }

  return equal;
}
function FillNumberArray(a, value){
  var i;

  for(i = 0; i < a.length; i = i + 1){
    a[i] = value;
  }
}
function FillString(a, value){
  var i;

  for(i = 0; i < a.length; i = i + 1){
    a[i] = value;
  }
}
function FillBooleanArray(a, value){
  var i;

  for(i = 0; i < a.length; i = i + 1){
    a[i] = value;
  }
}
function FillNumberArrayRange(a, value, from, to){
  var i, lengthx;
  var success;

  if(from >= 0 && from <= a.length && to >= 0 && to <= a.length && from <= to){
    lengthx = to - from;
    for(i = 0; i < lengthx; i = i + 1){
      a[from + i] = value;
    }

    success = true;
  }else{
    success = false;
  }

  return success;
}
function FillBooleanArrayRange(a, value, from, to){
  var i, lengthx;
  var success;

  if(from >= 0 && from <= a.length && to >= 0 && to <= a.length && from <= to){
    lengthx = to - from;
    for(i = 0; i < lengthx; i = i + 1){
      a[from + i] = value;
    }

    success = true;
  }else{
    success = false;
  }

  return success;
}
function FillStringRange(a, value, from, to){
  var i, lengthx;
  var success;

  if(from >= 0 && from <= a.length && to >= 0 && to <= a.length && from <= to){
    lengthx = to - from;
    for(i = 0; i < lengthx; i = i + 1){
      a[from + i] = value;
    }

    success = true;
  }else{
    success = false;
  }

  return success;
}
function CopyNumberArray(a){
  var i;
  var n;

  n = [];
  n.length = a.length;

  for(i = 0; i < a.length; i = i + 1){
    n[i] = a[i];
  }

  return n;
}
function CopyBooleanArray(a){
  var i;
  var n;

  n = [];
  n.length = a.length;

  for(i = 0; i < a.length; i = i + 1){
    n[i] = a[i];
  }

  return n;
}
function CopyString(a){
  var i;
  var n;

  n = [];
  n.length = a.length;

  for(i = 0; i < a.length; i = i + 1){
    n[i] = a[i];
  }

  return n;
}
function CopyNumberArrayRange(a, from, to, copyReference){
  var i, lengthx;
  var n;
  var success;

  if(from >= 0 && from <= a.length && to >= 0 && to <= a.length && from <= to){
    lengthx = to - from;
    n = [];
    n.length = lengthx;

    for(i = 0; i < lengthx; i = i + 1){
      n[i] = a[from + i];
    }

    copyReference.numberArray = n;
    success = true;
  }else{
    success = false;
  }

  return success;
}
function CopyBooleanArrayRange(a, from, to, copyReference){
  var i, lengthx;
  var n;
  var success;

  if(from >= 0 && from <= a.length && to >= 0 && to <= a.length && from <= to){
    lengthx = to - from;
    n = [];
    n.length = lengthx;

    for(i = 0; i < lengthx; i = i + 1){
      n[i] = a[from + i];
    }

    copyReference.booleanArray = n;
    success = true;
  }else{
    success = false;
  }

  return success;
}
function CopyStringRange(a, from, to, copyReference){
  var i, lengthx;
  var n;
  var success;

  if(from >= 0 && from <= a.length && to >= 0 && to <= a.length && from <= to){
    lengthx = to - from;
    n = [];
    n.length = lengthx;

    for(i = 0; i < lengthx; i = i + 1){
      n[i] = a[from + i];
    }

    copyReference.string = n;
    success = true;
  }else{
    success = false;
  }

  return success;
}
function IsLastElement(lengthx, index){
  return index + 1 == lengthx;
}
function CreateNumberArray(lengthx, value){
  var array;

  array = [];
  array.length = lengthx;
  FillNumberArray(array, value);

  return array;
}
function CreateBooleanArray(lengthx, value){
  var array;

  array = [];
  array.length = lengthx;
  FillBooleanArray(array, value);

  return array;
}
function CreateString(lengthx, value){
  var array;

  array = [];
  array.length = lengthx;
  FillString(array, value);

  return array;
}
function SwapElementsOfNumberArray(A, ai, bi){
  var tmp;

  tmp = A[ai];
  A[ai] = A[bi];
  A[bi] = tmp;
}
function SwapElementsOfStringArray(A, ai, bi){
  var tmp;

  tmp = A.stringArray[ai];
  A.stringArray[ai] = A.stringArray[bi];
  A.stringArray[bi] = tmp;
}
function CreateBooleanReference(value){
  var ref;
  ref = {};
  ref.booleanValue = value;

  return ref;
}
function CreateBooleanArrayReference(value){
  var ref;
  ref = {};
  ref.booleanArray = value;

  return ref;
}
function CreateBooleanArrayReferenceLengthValue(lengthx, value){
  var ref;
  var i;
  ref = {};
  ref.booleanArray = [];
  ref.booleanArray.length = lengthx;

  for(i = 0; i < lengthx; i = i + 1){
    ref.booleanArray[i] = value;
  }

  return ref;
}
function FreeBooleanArrayReference(booleanArrayReference){
  delete(booleanArrayReference.booleanArray);
  delete(booleanArrayReference);
}
function CreateCharacterReference(value){
  var ref;
  ref = {};
  ref.characterValue = value;

  return ref;
}
function CreateNumberReference(value){
  var ref;
  ref = {};
  ref.numberValue = value;

  return ref;
}
function CreateNumberArrayReference(value){
  var ref;
  ref = {};
  ref.numberArray = value;

  return ref;
}
function CreateNumberArrayReferenceLengthValue(lengthx, value){
  var ref;
  var i;
  ref = {};
  ref.numberArray = [];
  ref.numberArray.length = lengthx;

  for(i = 0; i < lengthx; i = i + 1){
    ref.numberArray[i] = value;
  }

  return ref;
}
function FreeNumberArrayReference(numberArrayReference){
  delete(numberArrayReference.numberArray);
  delete(numberArrayReference);
}
function CreateStringReference(value){
  var ref;
  ref = {};
  ref.string = value;

  return ref;
}
function CreateStringReferenceLengthValue(lengthx, value){
  var ref;
  var i;
  ref = {};
  ref.string = [];
  ref.string.length = lengthx;

  for(i = 0; i < lengthx; i = i + 1){
    ref.string[i] = value;
  }

  return ref;
}
function FreeStringReference(stringReference){
  delete(stringReference.string);
  delete(stringReference);
}
function CreateStringArrayReference(strings){
  var ref;
  ref = {};
  ref.stringArray = strings;

  return ref;
}
function CreateStringArrayReferenceLengthValue(lengthx, value){
  var ref;
  var i;
  ref = {};
  ref.stringArray = [];
  ref.stringArray.length = lengthx;

  for(i = 0; i < lengthx; i = i + 1){
    ref.stringArray[i] = CreateStringReference(value);
  }

  return ref;
}
function FreeStringArrayReference(stringArrayReference){
  var i;
  for(i = 0; i < stringArrayReference.stringArray.length; i = i + 1){
    delete(stringArrayReference.stringArray[i]);
  }
  delete(stringArrayReference.stringArray);
  delete(stringArrayReference);
}


module.exports = {
	KilometersToMiles: KilometersToMiles,
	MilesToKilometers: MilesToKilometers,
	NauticalMilesToKilometers: NauticalMilesToKilometers,
	KilometersTiNauticalMiles: KilometersTiNauticalMiles,
	ConvertLength: ConvertLength,
	ConvertLengthFromMeters: ConvertLengthFromMeters,
	ConvertMetersToPlanckLengths: ConvertMetersToPlanckLengths,
	ConvertMetersToYoctoMeters: ConvertMetersToYoctoMeters,
	ConvertMetersToZeptoMeters: ConvertMetersToZeptoMeters,
	ConvertMetersToAttoMeters: ConvertMetersToAttoMeters,
	ConvertMetersToFemtoMeters: ConvertMetersToFemtoMeters,
	ConvertMetersToPicoMeters: ConvertMetersToPicoMeters,
	ConvertMetersToNanoMeters: ConvertMetersToNanoMeters,
	ConvertMetersToMicroMeters: ConvertMetersToMicroMeters,
	ConvertMetersToMilliMeters: ConvertMetersToMilliMeters,
	ConvertMetersToCentiMeters: ConvertMetersToCentiMeters,
	ConvertMetersToDeciMeters: ConvertMetersToDeciMeters,
	ConvertMetersToAstronomicalUnits: ConvertMetersToAstronomicalUnits,
	ConvertMetersToParsecs: ConvertMetersToParsecs,
	ConvertMetersToLightYears: ConvertMetersToLightYears,
	ConvertMetersToYottaMeters: ConvertMetersToYottaMeters,
	ConvertMetersToZettaMeters: ConvertMetersToZettaMeters,
	ConvertMetersToExaMeters: ConvertMetersToExaMeters,
	ConvertMetersToPetaMeters: ConvertMetersToPetaMeters,
	ConvertMetersToTeraMeters: ConvertMetersToTeraMeters,
	ConvertMetersToGigaMeters: ConvertMetersToGigaMeters,
	ConvertMetersToMegaMeters: ConvertMetersToMegaMeters,
	ConvertMetersToKiloMeters: ConvertMetersToKiloMeters,
	ConvertMetersToHectoMeters: ConvertMetersToHectoMeters,
	ConvertMetersToDecaMeters: ConvertMetersToDecaMeters,
	ConvertMetersToRods: ConvertMetersToRods,
	ConvertMetersToLinks: ConvertMetersToLinks,
	ConvertMetersToNauticalMiles: ConvertMetersToNauticalMiles,
	ConvertMetersToCables: ConvertMetersToCables,
	ConvertMetersToFathoms: ConvertMetersToFathoms,
	ConvertMetersToLeagues: ConvertMetersToLeagues,
	ConvertMetersToMiles: ConvertMetersToMiles,
	ConvertMetersToFurlongs: ConvertMetersToFurlongs,
	ConvertMetersToChains: ConvertMetersToChains,
	ConvertMetersToYards: ConvertMetersToYards,
	ConvertMetersToFeet: ConvertMetersToFeet,
	ConvertMetersToInches: ConvertMetersToInches,
	ConvertMetersToThous: ConvertMetersToThous,
	ConvertLengthToMeters: ConvertLengthToMeters,
	ConvertPlanckLengthsToMeters: ConvertPlanckLengthsToMeters,
	ConvertYoctoMetersToMeters: ConvertYoctoMetersToMeters,
	ConvertZeptoMetersToMeters: ConvertZeptoMetersToMeters,
	ConvertAttoMetersToMeters: ConvertAttoMetersToMeters,
	ConvertFemtoMetersToMeters: ConvertFemtoMetersToMeters,
	ConvertPicoMetersToMeters: ConvertPicoMetersToMeters,
	ConvertNanoMetersToMeters: ConvertNanoMetersToMeters,
	ConvertMicroMetersToMeters: ConvertMicroMetersToMeters,
	ConvertMilliMetersToMeters: ConvertMilliMetersToMeters,
	ConvertCentiMetersToMeters: ConvertCentiMetersToMeters,
	ConvertDeciMetersToMeters: ConvertDeciMetersToMeters,
	ConvertAstronomicalUnitsToMeters: ConvertAstronomicalUnitsToMeters,
	ConvertParsecsToMeters: ConvertParsecsToMeters,
	ConvertLightYearsToMeters: ConvertLightYearsToMeters,
	ConvertYottaMetersToMeters: ConvertYottaMetersToMeters,
	ConvertZettaMetersToMeters: ConvertZettaMetersToMeters,
	ConvertExaMetersToMeters: ConvertExaMetersToMeters,
	ConvertPetaMetersToMeters: ConvertPetaMetersToMeters,
	ConvertTeraMetersToMeters: ConvertTeraMetersToMeters,
	ConvertGigaMetersToMeters: ConvertGigaMetersToMeters,
	ConvertMegaMetersToMeters: ConvertMegaMetersToMeters,
	ConvertKiloMetersToMeters: ConvertKiloMetersToMeters,
	ConvertHectoMetersToMeters: ConvertHectoMetersToMeters,
	ConvertDecaMetersToMeters: ConvertDecaMetersToMeters,
	ConvertRodsToMeters: ConvertRodsToMeters,
	ConvertLinksToMeters: ConvertLinksToMeters,
	ConvertNauticalMilesToMeters: ConvertNauticalMilesToMeters,
	ConvertCablesToMeters: ConvertCablesToMeters,
	ConvertFathomsToMeters: ConvertFathomsToMeters,
	ConvertLeaguesToMeters: ConvertLeaguesToMeters,
	ConvertMilesToMeters: ConvertMilesToMeters,
	ConvertFurlongsToMeters: ConvertFurlongsToMeters,
	ConvertChainsToMeters: ConvertChainsToMeters,
	ConvertYardsToMeters: ConvertYardsToMeters,
	ConvertFeetToMeters: ConvertFeetToMeters,
	ConvertInchesToMeters: ConvertInchesToMeters,
	ConvertThousToMeters: ConvertThousToMeters,
	GramsToOunces: GramsToOunces,
	ConvertOuncesToGrams: ConvertOuncesToGrams,
	ConvertMass: ConvertMass,
	ConvertMassToKg: ConvertMassToKg,
	ConvertYottagramsToKilograms: ConvertYottagramsToKilograms,
	ConvertZettagramsToKilograms: ConvertZettagramsToKilograms,
	ConvertExagramsToKilograms: ConvertExagramsToKilograms,
	ConvertPetagramsToKilograms: ConvertPetagramsToKilograms,
	ConvertTeragramsToKilograms: ConvertTeragramsToKilograms,
	ConvertGigagramsToKilograms: ConvertGigagramsToKilograms,
	ConvertTonneToKilograms: ConvertTonneToKilograms,
	ConvertMegagramsToKilograms: ConvertMegagramsToKilograms,
	ConvertHectogramsToKilograms: ConvertHectogramsToKilograms,
	ConvertDecagramsToKilograms: ConvertDecagramsToKilograms,
	ConvertYoctogramsToKilograms: ConvertYoctogramsToKilograms,
	ConvertZeptogramsToKilograms: ConvertZeptogramsToKilograms,
	ConvertAttogramsToKilograms: ConvertAttogramsToKilograms,
	ConvertFemtogramsToKilograms: ConvertFemtogramsToKilograms,
	ConvertPicogramsToKilograms: ConvertPicogramsToKilograms,
	ConvertNanogramsToKilograms: ConvertNanogramsToKilograms,
	ConvertMicrogramsToKilograms: ConvertMicrogramsToKilograms,
	ConvertMilligramsToKilograms: ConvertMilligramsToKilograms,
	ConvertCentigramsToKilograms: ConvertCentigramsToKilograms,
	ConvertDecigramsToKilograms: ConvertDecigramsToKilograms,
	ConvertSlugsToKilograms: ConvertSlugsToKilograms,
	ConvertTonsToKilograms: ConvertTonsToKilograms,
	ConvertHundredWeightsToKilograms: ConvertHundredWeightsToKilograms,
	ConvertQuartersToKilograms: ConvertQuartersToKilograms,
	ConvertStonesToKilograms: ConvertStonesToKilograms,
	ConvertPoundsToKilograms: ConvertPoundsToKilograms,
	ConvertTroyOuncesToKilograms: ConvertTroyOuncesToKilograms,
	ConvertOuncesToKilograms: ConvertOuncesToKilograms,
	ConvertDrachmToKilograms: ConvertDrachmToKilograms,
	ConvertGrainsToKilograms: ConvertGrainsToKilograms,
	ConvertSolarMassesToKilograms: ConvertSolarMassesToKilograms,
	ConvertPlanckMassesToKilograms: ConvertPlanckMassesToKilograms,
	ConvertAtomicMassUnitsToKilograms: ConvertAtomicMassUnitsToKilograms,
	ConvertGramsToKilograms: ConvertGramsToKilograms,
	ConvertMassFromKg: ConvertMassFromKg,
	ConvertKilogramsToYottagrams: ConvertKilogramsToYottagrams,
	ConvertKilogramsToZettagrams: ConvertKilogramsToZettagrams,
	ConvertKilogramsToExagrams: ConvertKilogramsToExagrams,
	ConvertKilogramsToPetagrams: ConvertKilogramsToPetagrams,
	ConvertKilogramsToTeragrams: ConvertKilogramsToTeragrams,
	ConvertKilogramsToGigagrams: ConvertKilogramsToGigagrams,
	ConvertKilogramsToTonne: ConvertKilogramsToTonne,
	ConvertKilogramsToMegagrams: ConvertKilogramsToMegagrams,
	ConvertKilogramsToHectograms: ConvertKilogramsToHectograms,
	ConvertKilogramsToDecagrams: ConvertKilogramsToDecagrams,
	ConvertKilogramsToYoctograms: ConvertKilogramsToYoctograms,
	ConvertKilogramsToZeptograms: ConvertKilogramsToZeptograms,
	ConvertKilogramsToAttograms: ConvertKilogramsToAttograms,
	ConvertKilogramsToFemtograms: ConvertKilogramsToFemtograms,
	ConvertKilogramsToPicograms: ConvertKilogramsToPicograms,
	ConvertKilogramsToNanograms: ConvertKilogramsToNanograms,
	ConvertKilogramsToMicrograms: ConvertKilogramsToMicrograms,
	ConvertKilogramsToMilligrams: ConvertKilogramsToMilligrams,
	ConvertKilogramsToCentigrams: ConvertKilogramsToCentigrams,
	ConvertKilogramsToDecigrams: ConvertKilogramsToDecigrams,
	ConvertKilogramsToSlugs: ConvertKilogramsToSlugs,
	ConvertKilogramsToTons: ConvertKilogramsToTons,
	ConvertKilogramsToHundredWeights: ConvertKilogramsToHundredWeights,
	ConvertKilogramsToQuarters: ConvertKilogramsToQuarters,
	ConvertKilogramsToStones: ConvertKilogramsToStones,
	ConvertKilogramsToPounds: ConvertKilogramsToPounds,
	ConvertKilogramsToTroyOunces: ConvertKilogramsToTroyOunces,
	ConvertKilogramsToOunces: ConvertKilogramsToOunces,
	ConvertKilogramsToDrachm: ConvertKilogramsToDrachm,
	ConvertKilogramsToGrains: ConvertKilogramsToGrains,
	ConvertKilogramsToSolarMasses: ConvertKilogramsToSolarMasses,
	ConvertKilogramsToPlanckMasses: ConvertKilogramsToPlanckMasses,
	ConvertKilogramsToAtomicMassUnits: ConvertKilogramsToAtomicMassUnits,
	ConvertKilogramsToGrams: ConvertKilogramsToGrams,
	AddDecibells: AddDecibells,
	SubtractDecibells: SubtractDecibells,
	MultiplyDecibellsWithScalar: MultiplyDecibellsWithScalar,
	DivideDecibellsWithScalar: DivideDecibellsWithScalar,
	StringToNumberArray: StringToNumberArray,
	NumberArrayToString: NumberArrayToString,
	NumberArraysEqual: NumberArraysEqual,
	BooleanArraysEqual: BooleanArraysEqual,
	StringsEqual: StringsEqual,
	FillNumberArray: FillNumberArray,
	FillString: FillString,
	FillBooleanArray: FillBooleanArray,
	FillNumberArrayRange: FillNumberArrayRange,
	FillBooleanArrayRange: FillBooleanArrayRange,
	FillStringRange: FillStringRange,
	CopyNumberArray: CopyNumberArray,
	CopyBooleanArray: CopyBooleanArray,
	CopyString: CopyString,
	CopyNumberArrayRange: CopyNumberArrayRange,
	CopyBooleanArrayRange: CopyBooleanArrayRange,
	CopyStringRange: CopyStringRange,
	IsLastElement: IsLastElement,
	CreateNumberArray: CreateNumberArray,
	CreateBooleanArray: CreateBooleanArray,
	CreateString: CreateString,
	SwapElementsOfNumberArray: SwapElementsOfNumberArray,
	SwapElementsOfStringArray: SwapElementsOfStringArray,
	CreateBooleanReference: CreateBooleanReference,
	CreateBooleanArrayReference: CreateBooleanArrayReference,
	CreateBooleanArrayReferenceLengthValue: CreateBooleanArrayReferenceLengthValue,
	FreeBooleanArrayReference: FreeBooleanArrayReference,
	CreateCharacterReference: CreateCharacterReference,
	CreateNumberReference: CreateNumberReference,
	CreateNumberArrayReference: CreateNumberArrayReference,
	CreateNumberArrayReferenceLengthValue: CreateNumberArrayReferenceLengthValue,
	FreeNumberArrayReference: FreeNumberArrayReference,
	CreateStringReference: CreateStringReference,
	CreateStringReferenceLengthValue: CreateStringReferenceLengthValue,
	FreeStringReference: FreeStringReference,
	CreateStringArrayReference: CreateStringArrayReference,
	CreateStringArrayReferenceLengthValue: CreateStringArrayReferenceLengthValue,
	FreeStringArrayReference: FreeStringArrayReference,
	test: test
};